using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class StoreHandler : MonoBehaviour
{

    [SerializeField] GameObject storeObject;

    BaseCameraController cameraController;

    void Awake()
    {
        cameraController = Camera.main.GetComponent<BaseCameraController>();
    }

    public void OpenStore()
    {
        cameraController.SetUserControlEnabled(false);
        storeObject.SetActive(true);
        gameObject.SetActive(false);
    }

    public void CloseStore()
    {
        cameraController.SetUserControlEnabled(true);
        storeObject.SetActive(false);
        gameObject.SetActive(true);
    }
}
