using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DamageIndicatorCanvas : MonoBehaviour
{

    [SerializeField] GameObject indicatorTextPrefab;

    RectTransform rectTransform;

    void Awake()
    {
        rectTransform = GetComponent<RectTransform>();
        var canvas = GetComponent<Canvas>();
        canvas.worldCamera = Camera.main;
    }

    private void Update()
    {
        // Always face the correct orientation, even when the parent Fighter is flipped.
        // If transform.parent.localScale.x is -1, the health bar scale will be set to -1
        // as well, effectively cancelling the flip.
        var scale = transform.localScale;
        scale.x = transform.parent.localScale.x;
        transform.localScale = scale;
    }

    public void IndicateHit(int dmg)
    {
        var rect = rectTransform.rect;
        var pos = transform.position + new Vector3(Random.Range(rect.xMin, rect.xMax), Random.Range(rect.yMin, rect.yMax));
        Instantiate(indicatorTextPrefab, pos, Quaternion.identity, transform).GetComponent<DamageIndicatorText>().damage = dmg;
    }
}
