using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class DamageIndicatorText : MonoBehaviour
{

    [SerializeField] float fadeSpeed = 1f;
    [SerializeField] float riseSpeed = 0.75f;

    public int damage;
    Text text;

    void Start()
    {
        text = GetComponent<Text>();
        text.text = string.Format("-{0}", damage);

        StartCoroutine(DoFade());
    }

    IEnumerator DoFade()
    {
        while (text.color.a > 0)
        {
            var color = text.color;
            color.a = Mathf.Max(color.a - fadeSpeed * Time.deltaTime, 0);
            text.color = color;

            var pos = transform.position;
            pos.y += riseSpeed * Time.deltaTime;
            transform.position = pos;

            yield return null;
        }

        Destroy(gameObject);
    }
}
